Subject: Re: SIGTERM does not stop backend postgres processes immediately
From: Jason Tishler <[email-masked]>
To: Fred Yankowski <[email-masked]>
Cc: [email-masked]
Date: Wed, 9 May 2001 23:52:57 -0400

Fred,

On Wed, May 09, 2001 at 06:08:19PM -0500, Fred Yankowski wrote:
> On Wed, May 09, 2001 at 04:48:28PM -0500, Parker, Ron wrote:
> > Under windows two things will interrupt a blocking recv() call.  The first
> > is to call closesocket() from another thread.
> 
> Cygwin doesn't seem to export a wrapper for closesocket().  How can I
> access that function?

Try direct access by including winsock.h and linking with libwsock32.a.

> Can I call it from a signal handler function?

I don't see why not, but will you know what sockets need to be closed
in the context of a signal handler?

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple